## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASETable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PersistentTable, SQLObject, SybaseASEBaseTable, SybaseAuthorizedObject, SybaseBaseTable, Table

All Known Subinterfaces:
  SybaseASEProxyTable, SybaseASEWebServiceTable

All Known Implementing Classes:
  SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogWebServiceTable, SybaseASEProxyTableImpl, SybaseASETableImpl, SybaseASEWebServiceTableImpl

    public interface SybaseASETable

extends PersistentTable, SybaseASEBaseTable

A representation of the model object 'Sybase ASE Table'.

See Also:
  `SybaseasesqlmodelPackage.getSybaseASETable()`

Method Summary

Methods inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseASEBaseTable

`getConcurrencyOptThreshold, getExpRowSize, getFillFactor, getIdentityGap, getLockPromotion, getLockSchema, getMaxRowPerPage, getPartitionCondition, getPartitions, getReservePageGap, getSegment, getTableOnlyCacheInfo, getTextImageSegment, getTextOnlyCacheInfo, isSystemTable, setConcurrencyOptThreshold, setExpRowSize, setFillFactor, setIdentityGap, setLockSchema, setMaxRowPerPage, setPartitionCondition, setPartitions, setReservePageGap, setSegment, setSystemTable, setTableOnlyCacheInfo, setTextImageSegment, setTextOnlyCacheInfo`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`